From 8e6138ea26f996895d2e60dad7ec112e916736a9 Mon Sep 17 00:00:00 2001
From: Aaron Jensen <aaronjensen@gmail.com>
Date: Sat, 16 Nov 2024 20:54:59 -0800
Subject: [PATCH] * src/nsterm.m ([EmacsView toggleFullScreen:]): Reset
 fs_is_native

---
 src/nsterm.m | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/nsterm.m b/src/nsterm.m
index dabc36ce018..d2650843548 100644
--- a/src/nsterm.m
+++ b/src/nsterm.m
@@ -8524,6 +8524,11 @@ - (void)toggleFullScreen: (id)sender
 
   NSTRACE ("[EmacsView toggleFullScreen:]");
 
+  /* Reset fs_is_native to value of ns-use-native-full-screen if not
+     fullscreen already */
+  if (fs_state != FULLSCREEN_BOTH)
+    fs_is_native = ns_use_native_fullscreen;
+
   if (fs_is_native)
     {
 #if defined (NS_IMPL_COCOA) && MAC_OS_X_VERSION_MAX_ALLOWED >= 1070
-- 
2.47.0

